%{?nodejs_find_provides_and_requires}
%global enable_tests 0
Name:                nodejs-mkdirp
Version:             0.5.1
Release:             1
Summary:             Recursive directory creation module for Node.js
License:             MIT
URL:                 https://github.com/substack/node-mkdirp
Source0:             https://registry.npmjs.org/mkdirp/-/mkdirp-%{version}.tgz
Patch0:              nodejs-mkdirp-mockfs4.patch
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:       npm(tap) npm(mock-fs) >= 4.0.0
%endif
%description
Creates directories recursively, like `mkdir -p`.

%prep
%autosetup -p 1 -n package
%nodejs_fixdep minimist "^1.2.0"

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/mkdirp
cp -pr index.js package.json %{buildroot}%{nodejs_sitelib}/mkdirp
%nodejs_symlink_deps
%if 0%{?enable_tests}

%check
%nodejs_symlink_deps --check
%__tap test/*.js
%endif

%files
%doc readme.markdown examples
%license LICENSE
%{nodejs_sitelib}/mkdirp

%changelog
* Mon Aug 17 2020 wutao <wutao61@huawei.com> - 0.5.1-1
- Package init
